x003035_g_scriptId=003035

x003035_g_IdPuTong={}
x003035_g_IdPuTong[1]={800000}     --    刷的怪物

x003035_g_PuTongNum={}
x003035_g_PuTongNum[1]={4}     --   数量

x003035_g_ExistTime = 9000000

x003035_g_MonsterPosList={}     
x003035_g_MonsterPosList[1]={{213.31,252.64,3.5},{56.43,239.02,3.93},{125.75,110.72,1.53},{282.58,90.46,1.53},{213.31,252.64,3.5},{56.43,239.02,3.93},{125.75,110.72,1.53},{282.58,90.46,1.53}}	 
-- 上面的怪物坐标重复写两遍   方便随机不同的坐标

function x003035_OnActivityStart( scene,curTime,idx)	
	local PosNum = #x003035_g_MonsterPosList[1]/2
	local randPos = RandomMon(1, PosNum)	
	local Rcount = x003035_g_PuTongNum[1][1]-1
	local Lvl = GetWorldLvlByFestivalMonster(scene)
	print("刷怪世界等級")

	local AdaptLvl = math.floor(Lvl/10)
	print(AdaptLvl)
	SetSceneBossNum(scene, idx)
	for i = randPos, randPos+Rcount do
		local objId = CreateMonster(scene, x003035_g_IdPuTong[1][1]+AdaptLvl,x003035_g_MonsterPosList[1][i][3],x003035_g_MonsterPosList[1][i][1],x003035_g_MonsterPosList[1][i][2])
		--SetNpcCampByObjId(scene,objId,1)
		SetMonEndTime(scene, curTime, x003035_g_ExistTime, objId)
		LogMonster(scene,objId,x003035_g_IdPuTong[1][1]+AdaptLvl,x003035_g_MonsterPosList[1][i][3],x003035_g_MonsterPosList[1][i][1],x003035_g_MonsterPosList[1][i][2])
	
	end
end
